> ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete node/secret ## OpenAPI ````json DELETE /api/v1/secretmanager/vault/{vaultId}/secrets { "openapi": "3.0.1", "info": { "title": "Secret Manager APIs", "version": "v1", "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc." }, "servers": [ { "url": "https://{tenantURL}", "description": "The primary server", "variables": { "tenantURL": { "default": "test.britive-app.com", "description": "The host of the server" } } } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Approvals" }, { "name": "Notification Service" }, { "name": "Policy Administration" }, { "name": "Secrets Manager" }, { "name": "Secret Rotation" } ], "paths": { "/api/v1/secretmanager/vault/{vaultId}/secrets": { "delete": { "tags": [ "Secrets Manager" ], "summary": "Delete node/secret", "operationId": "deleteSecretData", "parameters": [ { "name": "vaultId", "in": "path", "description": "vault Id", "required": "true", "schema": { "type": "string" }, "example": "a6ed82f6-32b5-46d8-a3a3-c36cc574abd9" }, { "name": "path", "in": "query", "description": "Secret path", "required": "true", "schema": { "type": "string" }, "example": "/machine/DB" } ], "responses": { "204": { "description": "No content" } } } } }, "components": { "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````